#define _LUNA_SYSTEM_ERROR_EXTENSIONS
#include <luna/SystemError.h>
#include <string.h>

extern "C"
{
    // memcpy, memset, memcmp, memmove, strlen, strcmp, strcpy, strchr, strcat and strdup are defined in
    // luna/CString.cpp, so the same definitions can be used by both kernel and userspace.

    char* strerror(int errnum)
    {
        return const_cast<char*>(error_string(errnum));
    }
}
